#pragma language glsl3
#ifdef VERTEX
vec4 position(mat4 transformProjection, vec4 vertexPosition) {
  return transformProjection*vertexPosition;
}
#endif

#ifdef PIXEL
uniform sampler2D shadow;
vec4 effect(vec4 color, sampler2D texturee, vec2 textureCoords, vec2 screen_coords) {
  return vec4(vec3(Texel(shadow, textureCoords).r),1);
}
#endif


